# SmiDiscreteRV Class Reference

`#include <SmiDiscreteDistribution.hpp>`

List of all members.

## Public Member Functions
void | addEvent (CoinPackedMatrix &matrix, CoinPackedVector &dclo, CoinPackedVector &dcup, CoinPackedVector &dobj, CoinPackedVector &drlo, CoinPackedVector &drup, double prob)
void | addEvent (OsiSolverInterface &osi, double prob)
const CoinPackedMatrix & | getEventMatrix (int i)
const CoinPackedVector & | getEventColLower (int i)
const CoinPackedVector & | getEventColUpper (int i)
const CoinPackedVector & | getEventObjective (int i)
const CoinPackedVector & | getEventRowLower (int i)
const CoinPackedVector & | getEventRowUpper (int i)
double | getEventProb (int i)
size_t | getNumEvents ()
int | getStage ()
void | setStage (int p)
| SmiDiscreteRV ()
| SmiDiscreteRV (int p)
| ~SmiDiscreteRV ()
## Private Attributes
std::vector< SmiDiscreteEvent * > | events_
SmiStageIndex | stg_
double | prob_
## Friends
void | SmiDiscreteUnitTest ()

## Detailed Description

Definition at line 82 of file SmiDiscreteDistribution.hpp.

## Constructor & Destructor Documentation

SmiDiscreteRV::SmiDiscreteRV | ( |  | ) | `[inline]`

Definition at line 117 of file SmiDiscreteDistribution.hpp.

SmiDiscreteRV::SmiDiscreteRV | ( | int | p | ) | `[inline]`

Definition at line 118 of file SmiDiscreteDistribution.hpp.

SmiDiscreteRV::~SmiDiscreteRV | ( |  | ) | `[inline]`

Definition at line 119 of file SmiDiscreteDistribution.hpp.

## Member Function Documentation

void SmiDiscreteRV::addEvent | ( | CoinPackedMatrix & | matrix,
|  | CoinPackedVector & | dclo,
|  | CoinPackedVector & | dcup,
|  | CoinPackedVector & | dobj,
|  | CoinPackedVector & | drlo,
|  | CoinPackedVector & | drup,
|  | double | prob |
| ) |  |  | `[inline]`

Definition at line 86 of file SmiDiscreteDistribution.hpp.

void SmiDiscreteRV::addEvent | ( | OsiSolverInterface & | osi,
|  | double | prob |
| ) |  |  | `[inline]`

Definition at line 96 of file SmiDiscreteDistribution.hpp.

const CoinPackedMatrix& SmiDiscreteRV::getEventMatrix | ( | int | i | ) | `[inline]`

Definition at line 104 of file SmiDiscreteDistribution.hpp.

const CoinPackedVector& SmiDiscreteRV::getEventColLower | ( | int | i | ) | `[inline]`

Definition at line 105 of file SmiDiscreteDistribution.hpp.

const CoinPackedVector& SmiDiscreteRV::getEventColUpper | ( | int | i | ) | `[inline]`

Definition at line 106 of file SmiDiscreteDistribution.hpp.

const CoinPackedVector& SmiDiscreteRV::getEventObjective | ( | int | i | ) | `[inline]`

Definition at line 107 of file SmiDiscreteDistribution.hpp.

const CoinPackedVector& SmiDiscreteRV::getEventRowLower | ( | int | i | ) | `[inline]`

Definition at line 108 of file SmiDiscreteDistribution.hpp.

const CoinPackedVector& SmiDiscreteRV::getEventRowUpper | ( | int | i | ) | `[inline]`

Definition at line 109 of file SmiDiscreteDistribution.hpp.

double SmiDiscreteRV::getEventProb | ( | int | i | ) | `[inline]`

Definition at line 110 of file SmiDiscreteDistribution.hpp.

size_t SmiDiscreteRV::getNumEvents | ( |  | ) | `[inline]`

Definition at line 114 of file SmiDiscreteDistribution.hpp.

int SmiDiscreteRV::getStage | ( |  | ) | `[inline]`

Definition at line 115 of file SmiDiscreteDistribution.hpp.

void SmiDiscreteRV::setStage | ( | int | p | ) | `[inline]`

Definition at line 116 of file SmiDiscreteDistribution.hpp.

## Friends And Related Function Documentation

void SmiDiscreteUnitTest | ( |  | ) | `[friend]`

## Member Data Documentation

std::vector<SmiDiscreteEvent *> SmiDiscreteRV::events_`[private]`

Definition at line 124 of file SmiDiscreteDistribution.hpp.

SmiStageIndex SmiDiscreteRV::stg_`[private]`

Definition at line 125 of file SmiDiscreteDistribution.hpp.

double SmiDiscreteRV::prob_`[private]`

Definition at line 126 of file SmiDiscreteDistribution.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiDiscreteDistribution.hpp